<?php
namespace Pinpoint\DeliveryDate\Api;

use Pinpoint\DeliveryDate\Api\Data\DisallowedDateInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface DisallowedDateRepositoryInterface
 * @package Pinpoint\DeliveryDate\Api
 */
interface DisallowedDateRepositoryInterface
{
    /**
     * @param DisallowedDateInterface $page
     * @return mixed
     */
    public function save(DisallowedDateInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param DisallowedDateInterface $page
     * @return mixed
     */
    public function delete(DisallowedDateInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
